Index: asp3_wo_tecs/trunk/extension/ovrhdr/test/test_ovrhdr1.c
===================================================================
--- asp3_wo_tecs/trunk/extension/ovrhdr/test/test_ovrhdr1.c	(revision 305)
+++ asp3_wo_tecs/trunk/extension/ovrhdr/test/test_ovrhdr1.c	(revision 306)
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_ovrhdr1.c 444 2015-08-13 04:39:19Z ertl-hiro $
+ *  $Id: test_ovrhdr1.c 738 2016-04-05 14:19:24Z ertl-hiro $
  */
 
@@ -78,13 +78,13 @@
  *	1:	ref_ovr(TASK2, &rovr)
  *		assert(rovr.ovrstat == TOVR_STP)
- *		// TASK2, TASK3ã«å¯¾ãã¦ï¼æ®ããã­ã»ããµæé20000Î¼ç§ã§ï¼ãªã¼ãã©ã³
- *		// ãã³ãã©ãåä½éå§ãã
- *		sta_ovr(TASK2, 20000U)
+ *		// TASK2, TASK3ã«å¯¾ãã¦ï¼æ®ããã­ã»ããµæé(4 * TEST_TIME_CP)
+ *		// Î¼ç§ã§ï¼ãªã¼ãã©ã³ãã³ãã©ãåä½éå§ãã
+ *		sta_ovr(TASK2, 4 * TEST_TIME_CP)
  *		ref_ovr(TASK2, &rovr)
  *		assert(rovr.ovrstat == TOVR_STA)
- *		assert(rovr.leftotm == 20000U)
- *		sta_ovr(TASK3, 20000U)
- *		// 10000Î¼ç§å¾ã«ALM1ãåä½ããã
- *		sta_alm(ALM1, 10000U)
+ *		assert(rovr.leftotm == 4 * TEST_TIME_CP)
+ *		sta_ovr(TASK3, 4 * TEST_TIME_CP)
+ *		// (2 * TEST_TIME_CP)Î¼ç§å¾ã«ALM1ãåä½ããã
+ *		sta_alm(ALM1, 2 * TEST_TIME_CP) ... ALM1-1ãå®è¡éå§ããã¾ã§
  *		DO(hrtcnt1 = fch_hrt())
  *		act_tsk(TASK2)
@@ -107,5 +107,5 @@
  *	4:	ref_ovr(TASK2, &rovr)
  *		assert(rovr.ovrstat == TOVR_STA)
- *		assert(5000U <= rovr.leftotm && rovr.leftotm <= 15000U)
+ *		assert(TEST_TIME_CP <= rovr.leftotm && rovr.leftotm <= 3 * TEST_TIME_CP)
  *		DO(while(!task3_flag1))
  *	== OVR-1ï¼1åç®ï¼==
@@ -129,9 +129,10 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	10:	DO(hrtcnt2 = fch_hrt())
- *		assert(40000U <= hrtcnt2 - hrtcnt1 && hrtcnt2 - hrtcnt1 <= 50000U)
+ *		assert(8 * TEST_TIME_CP <= hrtcnt2 - hrtcnt1 \
+ *							&& hrtcnt2 - hrtcnt1 <= 12 * TEST_TIME_CP)
  *		ref_ovr(TASK2, &rovr)
  *		assert(rovr.ovrstat == TOVR_STP)
- *		sta_ovr(TASK2, 20000U)
- *		sta_alm(ALM1, 10000U)
+ *		sta_ovr(TASK2, 4 * TEST_TIME_CP)
+ *		sta_alm(ALM1, 2 * TEST_TIME_CP) ... ALM1-2ãå®è¡éå§ããã¾ã§
  *		DO(hrtcnt1 = fch_hrt())
  *		wup_tsk(TASK2)
@@ -150,9 +151,9 @@
  *		// dispatch_rã§ãªã¼ãã©ã³ã¿ã¤ããåæ­¢ãã
  *	== TASK3ï¼ç¶ãï¼==
- *	14:	sta_alm(ALM1, 10000U)
- *		sta_ovr(TSK_SELF, 20000U)
+ *	14:	sta_alm(ALM1, 2 * TEST_TIME_CP) ... ALM1-3ãå®è¡éå§ããã¾ã§
+ *		sta_ovr(TSK_SELF, 4 * TEST_TIME_CP)
  *		// sta_ovrã§ãªã¼ãã©ã³ã¿ã¤ããåä½éå§ãã
- *		// TASK2ã®æ®ããã­ã»ããµæéã20000Î¼ç§ã«è¨­å®ããªãã
- *		sta_ovr(TASK2, 20000U)
+ *		// TASK2ã®æ®ããã­ã»ããµæéã(4 * TEST_TIME_CP)Î¼ç§ã«è¨­å®ããªãã
+ *		sta_ovr(TASK2, 4 * TEST_TIME_CP)
  *	15:	DO(while(!task3_flag2))
  *	== ALM1-3ï¼3åç®ï¼==
@@ -163,6 +164,6 @@
  *		RETURN
  *	== TASK3ï¼ç¶ãï¼==
- *		// TASK3ã®æ®ããã­ã»ããµæéã20000Î¼ç§ã«è¨­å®ããªãã
- *	17:	sta_ovr(TSK_SELF, 20000U)
+ *		// TASK3ã®æ®ããã­ã»ããµæéã(4 * TEST_TIME_CP)Î¼ç§ã«è¨­å®ããªãã
+ *	17:	sta_ovr(TSK_SELF, 4 * TEST_TIME_CP)
  *		// sta_ovrã§ãªã¼ãã©ã³ã¿ã¤ããåæ­¢ï¼åä½éå§ãã
  *		DO(while(!task3_flag3))
@@ -170,7 +171,7 @@
  *		// TASK3ã®æ®ããã­ã»ããµæéããªããªã
  *	18:	DO(task3_flag3 = true)
- *		sta_ovr(TSK_SELF, 20000U) -> E_ID
- *		// TASK3ã®æ®ããã­ã»ããµæéã20000Î¼ç§ã«è¨­å®ããªãã
- *		sta_ovr(TASK3, 10000U)
+ *		sta_ovr(TSK_SELF, 4 * TEST_TIME_CP) -> E_ID
+ *		// TASK3ã®æ®ããã­ã»ããµæéã(4 * TEST_TIME_CP)Î¼ç§ã«è¨­å®ããªãã
+ *		sta_ovr(TASK3, 2 * TEST_TIME_CP)
  *		RETURN
  *	== TASK3ï¼ç¶ãï¼==
@@ -194,5 +195,6 @@
  *	== TASK1ï¼ç¶ãï¼==
  *	25:	DO(hrtcnt2 = fch_hrt())
- *		assert(70000U <= hrtcnt2 - hrtcnt1 && hrtcnt2 - hrtcnt1 <= 80000U)
+ *		assert(14 * TEST_TIME_CP <= hrtcnt2 - hrtcnt1 \
+ *							&& hrtcnt2 - hrtcnt1 <= 19 * TEST_TIME_CP)
  *	26:	END
  */
@@ -288,8 +290,8 @@
 		task3_flag3 = true;
 
-		ercd = sta_ovr(TSK_SELF, 20000U);
+		ercd = sta_ovr(TSK_SELF, 4 * TEST_TIME_CP);
 		check_ercd(ercd, E_ID);
 
-		ercd = sta_ovr(TASK3, 10000U);
+		ercd = sta_ovr(TASK3, 2 * TEST_TIME_CP);
 		check_ercd(ercd, E_OK);
 
@@ -326,6 +328,6 @@
 task1(intptr_t exinf)
 {
+	ER_UINT	ercd;
 	T_ROVR	rovr;
-	ER_UINT	ercd;
 
 	test_start(__FILE__);
@@ -337,5 +339,5 @@
 	check_assert(rovr.ovrstat == TOVR_STP);
 
-	ercd = sta_ovr(TASK2, 20000U);
+	ercd = sta_ovr(TASK2, 4 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -345,10 +347,10 @@
 	check_assert(rovr.ovrstat == TOVR_STA);
 
-	check_assert(rovr.leftotm == 20000U);
-
-	ercd = sta_ovr(TASK3, 20000U);
-	check_ercd(ercd, E_OK);
-
-	ercd = sta_alm(ALM1, 10000U);
+	check_assert(rovr.leftotm == 4 * TEST_TIME_CP);
+
+	ercd = sta_ovr(TASK3, 4 * TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	ercd = sta_alm(ALM1, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -361,5 +363,5 @@
 	hrtcnt2 = fch_hrt();
 
-	check_assert(40000U <= hrtcnt2 - hrtcnt1 && hrtcnt2 - hrtcnt1 <= 50000U);
+	check_assert(8 * TEST_TIME_CP <= hrtcnt2 - hrtcnt1 && hrtcnt2 - hrtcnt1 <= 12 * TEST_TIME_CP);
 
 	ercd = ref_ovr(TASK2, &rovr);
@@ -368,8 +370,8 @@
 	check_assert(rovr.ovrstat == TOVR_STP);
 
-	ercd = sta_ovr(TASK2, 20000U);
-	check_ercd(ercd, E_OK);
-
-	ercd = sta_alm(ALM1, 10000U);
+	ercd = sta_ovr(TASK2, 4 * TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	ercd = sta_alm(ALM1, 2 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -382,5 +384,5 @@
 	hrtcnt2 = fch_hrt();
 
-	check_assert(70000U <= hrtcnt2 - hrtcnt1 && hrtcnt2 - hrtcnt1 <= 80000U);
+	check_assert(14 * TEST_TIME_CP <= hrtcnt2 - hrtcnt1 && hrtcnt2 - hrtcnt1 <= 19 * TEST_TIME_CP);
 
 	check_finish(26);
@@ -429,6 +431,6 @@
 task3(intptr_t exinf)
 {
+	ER_UINT	ercd;
 	T_ROVR	rovr;
-	ER_UINT	ercd;
 
 	check_point(4);
@@ -438,5 +440,5 @@
 	check_assert(rovr.ovrstat == TOVR_STA);
 
-	check_assert(5000U <= rovr.leftotm && rovr.leftotm <= 15000U);
+	check_assert(TEST_TIME_CP <= rovr.leftotm && rovr.leftotm <= 3 * TEST_TIME_CP);
 
 	while(!task3_flag1);
@@ -449,11 +451,11 @@
 
 	check_point(14);
-	ercd = sta_alm(ALM1, 10000U);
-	check_ercd(ercd, E_OK);
-
-	ercd = sta_ovr(TSK_SELF, 20000U);
-	check_ercd(ercd, E_OK);
-
-	ercd = sta_ovr(TASK2, 20000U);
+	ercd = sta_alm(ALM1, 2 * TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	ercd = sta_ovr(TSK_SELF, 4 * TEST_TIME_CP);
+	check_ercd(ercd, E_OK);
+
+	ercd = sta_ovr(TASK2, 4 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
@@ -462,5 +464,5 @@
 
 	check_point(17);
-	ercd = sta_ovr(TSK_SELF, 20000U);
+	ercd = sta_ovr(TSK_SELF, 4 * TEST_TIME_CP);
 	check_ercd(ercd, E_OK);
 
Index: asp3_wo_tecs/trunk/extension/ovrhdr/test/test_ovrhdr1.cfg
===================================================================
--- asp3_wo_tecs/trunk/extension/ovrhdr/test/test_ovrhdr1.cfg	(revision 305)
+++ asp3_wo_tecs/trunk/extension/ovrhdr/test/test_ovrhdr1.cfg	(revision 306)
@@ -3,10 +3,7 @@
  *		ã³ãã¡ã¤ã«
  *
- *  $Id: test_ovrhdr1.cfg 327 2015-06-21 06:42:01Z ertl-hiro $
+ *  $Id: test_ovrhdr1.cfg 572 2016-02-01 14:40:09Z ertl-hiro $
  */
-INCLUDE("target_timer.cfg");
-INCLUDE("syssvc/syslog.cfg");
-INCLUDE("syssvc/banner.cfg");
-INCLUDE("syssvc/serial.cfg");
+INCLUDE("tecsgen.cfg");
 
 #include "test_ovrhdr1.h"
Index: asp3_wo_tecs/trunk/extension/ovrhdr/test/test_ovrhdr1.h
===================================================================
--- asp3_wo_tecs/trunk/extension/ovrhdr/test/test_ovrhdr1.h	(revision 305)
+++ asp3_wo_tecs/trunk/extension/ovrhdr/test/test_ovrhdr1.h	(revision 306)
@@ -3,5 +3,5 @@
  *      Toyohashi Open Platform for Embedded Real-Time Systems
  * 
- *  Copyright (C) 2014 by Embedded and Real-Time Systems Laboratory
+ *  Copyright (C) 2014-2016 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
@@ -50,5 +50,5 @@
  *  ã®è²¬ä»»ãè² ããªãï¼
  * 
- *  $Id: test_ovrhdr1.h 233 2014-09-28 09:38:43Z ertl-hiro $
+ *  $Id: test_ovrhdr1.h 737 2016-04-05 13:11:23Z ertl-hiro $
  */
 
@@ -80,4 +80,13 @@
 #endif /* STACK_SIZE */
 
+#ifndef TEST_TIME_CP
+#define TEST_TIME_CP	50000U		/* ãã§ãã¯ãã¤ã³ãå°éæ
+å ±ã®åºåæé */
+#endif /* TEST_TIME_CP */
+
+#ifndef TEST_TIME_PROC
+#define TEST_TIME_PROC	1000U		/* ãã§ãã¯ãã¤ã³ããéããªãå ´åã®æé */
+#endif /* TEST_TIME_PROC */
+
 /*
  *  é¢æ°ã®ãã­ãã¿ã¤ãå®£è¨
